diff --git a/Makefile b/Makefile
index fb97d25..249042d 100644
--- a/Makefile
+++ b/Makefile
@@ -74,8 +74,8 @@ DEP  = depend
 default: $(DEP) x264$(EXE)
 
 libx264.a: .depend $(OBJS) $(OBJASM)
-	ar rc libx264.a $(OBJS) $(OBJASM)
-	ranlib libx264.a
+	$(AR) rc libx264.a $(OBJS) $(OBJASM)
+	$(RANLIB) libx264.a
 
 $(SONAME): .depend $(OBJS) $(OBJASM)
 	$(CC) -shared -o $@ $(OBJS) $(OBJASM) $(SOFLAGS) $(LDFLAGS)
@@ -151,7 +151,7 @@ install: x264$(EXE) $(SONAME)
 	install -m 644 libx264.a $(DESTDIR)$(libdir)
 	install -m 644 x264.pc $(DESTDIR)$(libdir)/pkgconfig
 	install x264$(EXE) $(DESTDIR)$(bindir)
-	ranlib $(DESTDIR)$(libdir)/libx264.a
+	$(RANLIB) $(DESTDIR)$(libdir)/libx264.a
 ifeq ($(SYS),MINGW)
 	$(if $(SONAME), install -m 755 $(SONAME) $(DESTDIR)$(bindir))
 else
diff --git a/configure b/configure
index eb51091..527e376 100755
--- a/configure
+++ b/configure
@@ -61,6 +61,8 @@ vis="no"
 shared="no"
 
 CC="${CC-gcc}"
+AR="${AR-ar}"
+RANLIB="${RANLIB-ranlib}"
 CFLAGS="$CFLAGS -Wall -I."
 LDFLAGS="$LDFLAGS"
 HAVE_GETOPT_LONG=1
@@ -416,6 +418,8 @@ includedir=$includedir
 ARCH=$ARCH
 SYS=$SYS
 CC=$CC
+AR=$AR
+RANLIB=$RANLIB
 CFLAGS=$CFLAGS
 ALTIVECFLAGS=$ALTIVECFLAGS
 LDFLAGS=$LDFLAGS
